std::default_delete< _Tp >(3)

NAME
std::default_delete< _Tp > - Primary template of default_delete, used by unique_ptr for single objects.

SYNOPSIS

  Public Member Functions
constexpr default_delete () noexcept=default
Default constructor.
template<typename _Up , typename = _Require<is_convertible<_Up*, _Tp*>>> default_delete (const default_delete< _Up > &) noexcept
Converting constructor.
void operator() (_Tp *__ptr) const
Calls delete __ptr

Detailed Description

  template<typename _Tp>
struct std::default_delete< _Tp >" Primary template of default_delete, used by unique_ptr for single objects.

Definition at line 63 of file unique_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.